[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBGrids' (#lcl)

# TColumnOrder

Enumerated type defining alternate ordering for columns.

## Declaration

Source position: dbgrids.pas line 295

`type TColumnOrder = (`
`coDesignOrder,` |  | Columns are ordered using the DesignIndex value.
`coFieldIndexOrder` |  | Columns are order by the Index for the Field.
`);`

## Description

TColumnOrder is an enumerated type which defines alternate ordering for columns in a collection. The values specify whether the design-time or run-time index is used when ordering TColumn instances in the TDBGridColumns collection.

## See also

TColumn |  | Implements a display column for the TDBGrid control.
TDBGridColumns |  | Implements a collection for columns in a database-aware grid.
TDBGrid.Columns |  | Defines the dataset fields and their editing characteristics on the grid control.